Bug 8329 - [UPDATE REQUEST] KF5 5.35 -> 5.38
: [UPDATE REQUEST] KF5 5.35 -> 5.38
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-11 05:33 MSD by Andrey Bondrov
Modified: 2017-09-20 10:42 MSD (History)
1 user (show)

See Also:
RPM Package: various
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss1 (277.90 KB, image/png)
2017-09-14 15:04 MSD, Vladimir Potapov
Details
ss2 (297.85 KB, image/png)
2017-09-14 20:24 MSD, Vladimir Potapov
Details
ss3 (287.30 KB, image/png)
2017-09-14 20:25 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-09-11 05:33:02 MSD
We need to update KF5 to new version 5.38.

Please use this repository for testing: http://abf-downloads.rosalinux.ru/kde5_backports_personal/repository/rosa2016.1/
Comment 1 Vladimir Potapov 2017-09-14 15:04:47 MSD
Created attachment 4726 [details]
ss1

Open torrent file in firefox
Comment 2 Vladimir Potapov 2017-09-14 20:24:25 MSD
Created attachment 4728 [details]
ss2

First KMail run error
Comment 3 Vladimir Potapov 2017-09-14 20:25:23 MSD
Created attachment 4729 [details]
ss3

KMail run error 2
Comment 4 Vladimir Potapov 2017-09-14 20:29:29 MSD
kamoso fail on record
Comment 5 Andrey Bondrov 2017-09-15 06:57:04 MSD
(In reply to comment #4)
> kamoso fail on record

Advisory: "Fix Kamoso segfault if there's no video camera device detected"

https://abf.rosalinux.ru/build_lists/2893742
https://abf.rosalinux.ru/build_lists/2893743
Comment 6 Andrey Bondrov 2017-09-15 10:44:35 MSD
(In reply to comment #3)
> Created attachment 4729 [details]
> ss3
> 
> KMail run error 2

Advisory: "KMail should require kmail-account-wizard"

kmail:
https://abf.rosalinux.ru/build_lists/2893759
https://abf.rosalinux.ru/build_lists/2893760
Comment 7 Vladimir Potapov 2017-09-15 16:24:28 MSD
 http://abf-downloads.rosalinux.ru/kde5_backports_personal/repository/rosa2016.1/
We need to update KF5 to new version 5.38.
*******************************************
QA Verified
Comment 8 Vladimir Potapov 2017-09-17 01:21:16 MSD
Похоже что есть серьезная ошибка, связанная  с KF. Виснет при выходе из ждущего режима. Не поймал при тесте  т.к. виснет если в ждущий перейти не сразу, а через несколько минут работы.
Comment 9 Vladimir Potapov 2017-09-17 01:49:35 MSD
Виснет если на экране окно firefox. Возможно, что-то с интеграцией в KDE
Comment 10 Andrey Bondrov 2017-09-17 05:37:30 MSD
(In reply to comment #9)
> Виснет если на экране окно firefox. Возможно, что-то с интеграцией в KDE

Очень маловероятно, т.к. интеграция там через библиотеки KDE4 сделана, а не KF5.
Comment 11 Andrey Bondrov 2017-09-17 05:44:17 MSD
Я бы скорее на ядро думал, если оно недавно обновлялось. Или какие-нибудь драйверы. Т.к. KF5 - это уже сильно выше уровнем.
Comment 12 Vladimir Potapov 2017-09-18 11:54:38 MSD
я четыре раза проверил. Ставишь KF - ошибка проявляется. Откатываешь - исчезает.
Comment 13 Andrey Bondrov 2017-09-18 12:03:04 MSD
(In reply to comment #12)
> я четыре раза проверил. Ставишь KF - ошибка проявляется. Откатываешь -
> исчезает.

Попробуй ещё Qt обновить на этой машине из репозитория: http://abf-downloads.rosalinux.ru/qt5_backports_personal/repository/rosa2016.1/
Comment 14 Vladimir Potapov 2017-09-20 09:49:57 MSD
Уронил систему, btrfs не любит неожиданных перезагрузок. 
Поставил плазму заново, обновился-перезагрузился - ошибки нет.
Накатил KF  - ошибка появилась.
Comment 15 Andrey Bondrov 2017-09-20 10:04:19 MSD
(In reply to comment #14)
> Уронил систему, btrfs не любит неожиданных перезагрузок. 
> Поставил плазму заново, обновился-перезагрузился - ошибки нет.
> Накатил KF  - ошибка появилась.

Зарепорти её в апстрим, может там подскажут что-нибудь полезное.
Comment 16 Andrey Bondrov 2017-09-20 10:23:23 MSD
Чтобы эту ошибку отлаживать, надо больше информации - что именно виснет (в частности, можно ли переключиться в терминал и там посмотреть процессы и логи), что в логах и т.д. И как сказывается на проблеме обновление Qt до 5.9.1. IMHO, KF5 может "дёргать" какой-то баг в иксах, ядре или где-то ещё, чтобы система подвисла. Либо виснет только оболочка Plasma, тогда это другое дело.
Comment 17 Vladimir Potapov 2017-09-20 10:27:10 MSD
Курсор мыши на черном экране получается, т.е. виснет плазма.
Но обновление QT решает проблему, так что можно глубоко не копать :-)
Comment 18 Andrey Bondrov 2017-09-20 10:35:57 MSD
(In reply to comment #17)
> Курсор мыши на черном экране получается, т.е. виснет плазма.
> Но обновление QT решает проблему, так что можно глубоко не копать :-)

Давай я тогда Qt 5.9.1 сейчас на QA оформлю. Что-то 5.9.2 никак не выпустят.
Comment 19 Vladimir Potapov 2017-09-20 10:42:20 MSD
(In reply to comment #18)
> (In reply to comment #17)
> > Курсор мыши на черном экране получается, т.е. виснет плазма.
> > Но обновление QT решает проблему, так что можно глубоко не копать :-)
> 
> Давай я тогда Qt 5.9.1 сейчас на QA оформлю. Что-то 5.9.2 никак не выпустят.
ок